<?php

namespace catchAdmin\transport\model;

use catcher\base\CatchModel as Model;

class StuckSection extends Model
{
    // 表名
    public $name = 'stuck_section';
    // 数据库字段映射
    public $field = array(
        'id',
        // 名称
        'name',
        // 前置卡点
        'pre_spot',
        // 后置卡点
        'pos_spot',
        // 区间长度
        'distance',
        // 最大限速（km/h）
        'max_speed',
        // 启用逆行状态
        'retrograde_stat',
        // 启用超速状态
        'over_speed_stat',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
}